# DefaultTask

API Documentation: | `DefaultTask`

Known Subtypes: |
`DependencyInsightReportTask` | `GenerateBuildDashboard` | `Wrapper`
`ComponentReport` | `JacocoBase` | `WriteProperties`
`DependentComponentsReport` | `JDepend` | `AbstractNativeCompileTask`
`ModelReport` | `PublishToIvyRepository` | `Assemble`
`BuildEnvironmentReportTask` | `AbstractPublishToMaven` | `WindowsResourceCompile`
`CompareGradleBuilds` | `InitBuild` | `AbstractLinkTask`
`GenerateIvyDescriptor` | `Sign` | `CreateStaticLibrary`
`GenerateMavenPom` | `TestReport` | `InstallExecutable`

`DefaultTask` is the standard `Task` implementation. You can extend this to implement your own task types.

### Properties

No properties

### Methods

No methods

### Script blocks

No script blocks